export default class Logger {
	public static debug(tag: string, message: string, data?: any): void {
		// eslint-disable-next-line no-console, @typescript-eslint/no-unsafe-argument
		console.debug(...Logger.createLogArgs("debug", tag, message, data));
	}

	public static info(tag: string, message: string, data?: any): void {
		// eslint-disable-next-line no-console, @typescript-eslint/no-unsafe-argument
		console.info(...Logger.createLogArgs("info", tag, message, data));
	}

	public static warn(tag: string, message: string, data?: any): void {
		// eslint-disable-next-line no-console, @typescript-eslint/no-unsafe-argument
		console.warn(...Logger.createLogArgs("warn", tag, message, data));
	}

	public static error(tag: string, message: string, data?: any): void {
		// eslint-disable-next-line no-console, @typescript-eslint/no-unsafe-argument
		console.error(...Logger.createLogArgs("error", tag, message, data));
	}

	private static createLogArgs(level: string, tag: string, message: string, data?: any): any[] {
		return [`${level}/${tag}: ${message}`, data].filter(i => i);
	}
}
