import type { PrimitiveType } from "react-intl";
import type { FormatXMLElementFn } from "intl-messageformat";
import { FormattedMessage } from "react-intl";
import { STYLES } from "../../constants";

interface Props {
	id: string;
	vars?: Record<string, React.ReactNode | PrimitiveType | FormatXMLElementFn<React.ReactNode, React.ReactNode>>;
}

export default function Message({ id, vars }: Props) {
	return (
		<FormattedMessage
			id={id}
			values={{
				b: chunks => <strong>{chunks}</strong>,
				i: chunks => <em>{chunks}</em>,
				u: chunks => <u>{chunks}</u>,
				muted: children => <span className={`${STYLES.MUTED_COLOR}`}>{children}</span>,
				...vars,
			}}
		/>
	);
}
