import { STYLES } from "../../constants";
import Header from "./Header";
import Sidebar from "./Sidebar";
import MobileNavigation from "./MobileNavigation";
import Shells from "../shells/Shells";
import { Outlet } from "react-router-dom";
import LoadingPage from "../pages/LoadingPage";
import { Suspense } from "react";

export default function App() {
	const appDefaultClasses = `${STYLES.LINE_HEIGHT} ${STYLES.MAX_APP_WIDTH} ${STYLES.TEXT_COLOR} transition-colors`;
	const classes =
		// Base classes
		`grid min-h-screen pb-8 ` +
		// Grid: Small Screen
		`grid-rows-[auto_auto_1fr] ` +
		// Grid: Large Screen
		`lg:grid-rows-[auto_1fr] lg:grid-cols-[15rem_1fr] lg:gap-y-8`;
	return (
		<div className={appDefaultClasses}>
			<div className={classes}>
				<Header />
				<Sidebar />
				<main className="mx-4 lg:mx-8 mt-24 sm:mt-28 lg:mt-0 [view-transition-name:main-content]">
					<Suspense fallback={<LoadingPage />}>
						<Outlet />
					</Suspense>
				</main>
			</div>
			<MobileNavigation />
			<Shells />
		</div>
	);
}
