import classNames from "classnames";
import Bars from "../../icons/Bars.svg?react";
import XMark from "../../icons/XMark.svg?react";
import { useNavigationStore } from "../../data/state/navigation";

export default function NavigationHamburger({ className, children, ...props }: JSX.IntrinsicElements["button"]) {
	const [isVisible, toggleVisibility] = useNavigationStore(s => [s.isVisible, s.toggleVisibility]);

	const classes = classNames("grid grid-cols-1 p-2 border border-slate-400 dark:border-slate-500 rounded", className);

	const iconClasses = "w-6 h-6 row-start-1 col-start-1 transition-opacity";
	const label = isVisible ? "Close navigation" : "Expand navigation";

	return (
		<button {...props} className={classes} onClick={toggleVisibility} aria-label={label}>
			<Bars
				className={classNames(iconClasses, "fill-slate-500 dark:fill-slate-400", {
					"opacity-0": isVisible,
					"opacity-100": !isVisible,
				})}
			/>
			<XMark
				className={classNames(iconClasses, "fill-black dark:fill-white", {
					"opacity-0": !isVisible,
					"opacity-100": isVisible,
				})}
			/>
		</button>
	);
}
