import { CONTACT_EMAIL } from "../../constants";
import Message from "../i18n/Message";
import CreditsFooter from "../widgets/CreditsFooter";
import HR from "../widgets/HR";
import TextLink from "../widgets/TextLink";
import { H2 } from "../widgets/typography/Heading";
import P from "../widgets/typography/Paragraph";

export default function ContactPage() {
	return (
		<>
			<H2>
				<Message id="contact.title" />
			</H2>
			<P>
				<Message
					id="contact.howto"
					vars={{
						email: <TextLink to={`mailto:${CONTACT_EMAIL}`}>{CONTACT_EMAIL}</TextLink>,
					}}
				/>
			</P>
			<HR className="my-16" />
			<CreditsFooter />
		</>
	);
}
