import { SERVICES_LIST_URL } from "../../constants";
import Message from "../i18n/Message";
import TextLink from "../widgets/TextLink";
import { H2 } from "../widgets/typography/Heading";
import P from "../widgets/typography/Paragraph";
import CreditsFooter from "../widgets/CreditsFooter";
import HR from "../widgets/HR";

export default function IndexPage() {
	return (
		<>
			<H2>
				<Message id="index.title" />
			</H2>
			<P className="whitespace-pre-line">
				<Message
					id="index.description"
					vars={{
						servicesLink: children => <TextLink to={SERVICES_LIST_URL}>{children}</TextLink>,
						discordLink: children => <TextLink to="/discord">{children}</TextLink>,
					}}
				/>
			</P>
			<HR className="my-16" />
			<CreditsFooter />
		</>
	);
}
