import { useNavigate } from "react-router-dom";
import ApiActions from "../../data/ApiActions";
import { useEffect } from "react";
import useEvents from "../../data/events/useEvents";
import { EventTypes } from "../../data/events/eventTypes";
import LoadingIndicator from "../widgets/LoadingIndicator";
import Message from "../i18n/Message";

export default function LogoutPage() {
	const navigate = useNavigate();

	useEvents(data => {
		switch (data.type) {
			case EventTypes.LOGOUT_SUCCESS:
			case EventTypes.LOGOUT_FAIL:
				// Ignore errors, ApiActions still removed the token from storage
				navigate("/", {
					unstable_viewTransition: true,
				});
				break;
		}
	});

	useEffect(() => ApiActions.logout(), []);

	return (
		<LoadingIndicator className="mt-16 font-bold text-2xl">
			<Message id="logout" />
		</LoadingIndicator>
	);
}
