import Button from "../widgets/Button";
import TextLink from "../widgets/TextLink";

export default function WidgetsPage() {
	return (
		<div className="flex flex-col gap-4">
			<div className="flex flex-row flex-wrap gap-4">
				<Button buttonStyle="info">Info Normal</Button>
				<Button buttonStyle="success">Success Normal</Button>
				<Button buttonStyle="warn">Warn Normal</Button>
				<Button buttonStyle="danger">Danger Normal</Button>
				<Button buttonStyle="link">Link Normal</Button>
			</div>
			<div className="flex flex-row flex-wrap gap-4">
				<Button buttonStyle="info" small>
					Info Small
				</Button>
				<Button buttonStyle="success" small>
					Success Small
				</Button>
				<Button buttonStyle="warn" small>
					Warn Small
				</Button>
				<Button buttonStyle="danger" small>
					Danger Small
				</Button>
				<Button buttonStyle="link" small>
					Link Small
				</Button>
			</div>
			<div className="flex flex-row flex-wrap gap-4">
				<Button buttonStyle="info" outlined>
					Info Outlined
				</Button>
				<Button buttonStyle="success" outlined>
					Success Outlined
				</Button>
				<Button buttonStyle="warn" outlined>
					Warn Outlined
				</Button>
				<Button buttonStyle="danger" outlined>
					Danger Outlined
				</Button>
				<Button buttonStyle="link" outlined>
					Link Outlined
				</Button>
			</div>
			<div className="flex flex-row flex-wrap gap-4">
				<Button buttonStyle="info" disabled>
					Info Disabled
				</Button>
				<Button buttonStyle="success" disabled>
					Success Disabled
				</Button>
				<Button buttonStyle="warn" disabled>
					Warn Disabled
				</Button>
				<Button buttonStyle="danger" disabled>
					Danger Disabled
				</Button>
				<Button buttonStyle="link" disabled>
					Link Disabled
				</Button>
			</div>
			<div className="flex flex-row flex-wrap gap-4">
				<Button buttonStyle="info" outlined disabled>
					Info Outlined Disabled
				</Button>
				<Button buttonStyle="success" outlined disabled>
					Success Outlined Disabled
				</Button>
				<Button buttonStyle="warn" outlined disabled>
					Warn Outlined Disabled
				</Button>
				<Button buttonStyle="danger" outlined disabled>
					Danger Outlined Disabled
				</Button>
				<Button buttonStyle="link" outlined disabled>
					Link Outlined Disabled
				</Button>
			</div>
			<div className="flex flex-row flex-wrap gap-4">
				<Button loading>Loading</Button>
				<Button loading outlined>
					Loading Outlined
				</Button>
				<Button as="a" href="https://google.com/">
					Link
				</Button>
				<Button as="a" loading href="https://google.com/">
					Loading Link
				</Button>
			</div>
			<div className="flex flex-row flex-wrap gap-4">
				<div>
					This is <TextLink to="/">an internal</TextLink> link
				</div>
				<div>
					This is <TextLink to="https://google.com/">an external</TextLink> link
				</div>
			</div>
		</div>
	);
}
