import { useNavigate } from "react-router-dom";
import useEvents from "../../data/events/useEvents";
import { EventTypes } from "../../data/events/eventTypes";
import ApiActions from "../../data/ApiActions";

export default function ApiErrorShell() {
	const navigate = useNavigate();

	useEvents(data => {
		switch (data.type) {
			case EventTypes.API_CALL_FAIL:
				// If the stored token has expired, the user will have to log in again
				if (data.response.status === 401) {
					ApiActions.forceLogout();
					navigate("/login", {
						unstable_viewTransition: true,
					});
				}
				break;
		}
	});

	return null;
}
