import { useEffect } from "react";
import { useLocation } from "react-router-dom";
import { useNavigationStore } from "../../data/state/navigation";

export default function NavigationDrawerShell() {
	const [isNavVisible, setNavVisible] = useNavigationStore(s => [s.isVisible, s.setVisible]);
	const location = useLocation();

	useEffect(() => {
		// The current URL hash decides whether the navigation should be open
		if (isNavVisible) {
			setNavVisible(false);
		}
		// We're only interested in location changes
		// eslint-disable-next-line react-hooks/exhaustive-deps
	}, [location]);

	return null;
}
