import { useEffect } from "react";
import { useThemeStore } from "../../data/state/theme";

export default function ThemeShell() {
	const isDarkMode = useThemeStore(s => s.isDarkMode);

	useEffect(() => {
		// Allow page background color to snap to correct color on page load, and only
		// smoothly transition it later, in response to user-initiated changes.
		setTimeout(() => {
			document.querySelector("#global-backdrop")?.classList.add("transition-colors");
		}, 250);
	}, []);

	useEffect(() => {
		if (isDarkMode) {
			document.body.classList.add("dark");
		} else {
			document.body.classList.remove("dark");
		}
	}, [isDarkMode]);

	return null;
}
