import {
	HOMEPAGE_AI_URL,
	HOMEPAGE_INFO_URL,
	HOMEPAGE_ITS_URL,
	IMPRINT_URL,
	PRIVACY_POLICY_URL,
	STYLES,
} from "../../constants";
import Message from "../i18n/Message";
import logoAi from "../../media/logo-ai.png";
import logoIts from "../../media/logo-its.png";
import logoInfo from "../../media/logo-info.png";

export default function CreditsFooter() {
	return (
		<div className={`flex flex-col gap-4 text-center ${STYLES.MUTED_COLOR}`}>
			<div className="flex flex-row gap-6 items-center justify-center">
				<a href={HOMEPAGE_ITS_URL}>
					<img src={logoIts} className="w-24" />
				</a>
				<a href={HOMEPAGE_AI_URL}>
					<img src={logoAi} className="w-32" />
				</a>
				<a href={HOMEPAGE_INFO_URL}>
					<img src={logoInfo} className="w-24" />
				</a>
			</div>
			<div>
				<Message id="footer.credits" />
			</div>
			<div>
				<a href={HOMEPAGE_ITS_URL}>
					<Message id="footer.course.its" />
				</a>
				,{" "}
				<a href={HOMEPAGE_AI_URL}>
					<Message id="footer.course.ai" />
				</a>
				,{" "}
				<a href={HOMEPAGE_INFO_URL}>
					<Message id="footer.course.info" />
				</a>
			</div>
			<div>
				<a href={IMPRINT_URL}>
					<Message id="footer.imprint" />
				</a>{" "}
				|{" "}
				<a href={PRIVACY_POLICY_URL}>
					<Message id="footer.privacy" />
				</a>
			</div>
		</div>
	);
}
