import { useLanguageStore } from "../../data/state/language";
import Icon from "../../icons/Language.svg?react";

export default function LanguageSelect() {
	const { language, setLanguage } = useLanguageStore();

	const toggleLanguage = () => {
		setLanguage(language === "de" ? "en" : "de");
	};

	const iconClasses =
		"w-8 h-8 transition-colors " + "fill-slate-600 hover:fill-black dark:fill-slate-400 dark:hover:fill-white";

	return (
		<button
			onClick={toggleLanguage}
			title={`Switch language to ${language === "de" ? "English" : "German"}`}
			className="flex flex-row items-center gap-2">
			<Icon className={iconClasses} />
		</button>
	);
}
