import Spinner from "../widgets/Spinner";
import Center from "../widgets/Center";
import type { WithChildren, WithClassName } from "../../utils/types";
import classNames from "classnames";

export default function LoadingIndicator({ className, children }: WithClassName<WithChildren>) {
	return (
		<Center className={classNames("gap-4 items-center", className)}>
			<Spinner className="w-8 h-8 fill-current" />
			<div className="font-bold">{children}</div>
		</Center>
	);
}
