import type { WithChildren } from "../../utils/types";
import classNames from "classnames";
import { Z_INDEXES } from "../../constants";

interface Props {
	isVisible: boolean;
}

export default function Overlay({ isVisible, children }: WithChildren<Props>) {
	return (
		<div
			className={classNames(
				"fixed inset-0 bg-black/75 text-white grid place-items-center transition-opacity text-2xl",
				{
					"opacity-0 pointer-events-none": !isVisible,
					"opacity-100": isVisible,
				}
			)}
			style={{
				zIndex: Z_INDEXES.GLOBAL_OVERLAY,
			}}>
			{children}
		</div>
	);
}
