import { useThemeStore } from "../../data/state/theme";
import Sun from "../../icons/Sun.svg?react";
import Moon from "../../icons/Moon.svg?react";

export default function ThemeToggle() {
	const [isDarkMode, setDarkMode] = useThemeStore(s => [s.isDarkMode, s.setDarkMode]);

	const containerClasses =
		"w-12 h-6 flex items-center p-0.5 rounded-full bg-slate-200 dark:bg-blue-600 overflow-hidden";

	const innerContainerClasses =
		"transition-all dark:translate-x-full flex flex-row items-center gap-1.5 " + "text-slate-600 dark:text-slate-300";

	const toggleHandleClasses = "h-5 w-5 bg-white border rounded-full border-gray-300";

	return (
		<label className="flex items-center cursor-pointer text-gray-900 dark:text-gray-300">
			<input type="checkbox" value="" className="sr-only" onChange={() => setDarkMode(!isDarkMode)} />
			<div className={containerClasses}>
				<div className={innerContainerClasses}>
					<Moon className="fill-current w-3.5 h-3.5 -ml-[1.25rem]" />
					<div className={toggleHandleClasses} />
					<Sun className="fill-current w-3.5 h-3.5 -mr-[1rem]" />
				</div>
			</div>
		</label>
	);
}
