export const APP_BASE_URL = (import.meta.env.VITE_APP_BASE_URL as string) ?? "/";
export const API_BASE_URL = (import.meta.env.VITE_API_BASE_URL as string) ?? "/";
export const APP_VERSION = __APP_VERSION__;

export const STYLES = {
	MAX_APP_WIDTH: "max-w-screen-xl m-auto",
	LINE_HEIGHT: "leading-6",

	// Text Colors
	TEXT_COLOR: "text-gray-800 dark:text-gray-300",
	MUTED_COLOR: "text-gray-500 dark:text-gray-400",
	ERROR_COLOR: "text-red-700 dark:text-red-500",
	BORDER_COLOR: "border-slate-300 dark:border-slate-600",
	LINK_COLOR: "text-blue-700 hover:text-blue-500 dark:text-blue-400 dark:hover:text-blue-300",
};

export const NO_BREAK_SPACE = "\u00a0";

export const Z_INDEXES = {
	GLOBAL_OVERLAY: 10000,
};

export const API_OAUTH_AUTHORIZE_URL = (type: string) =>
	`${API_BASE_URL}/auth/${type}/authorize?redirect_uri=${encodeURIComponent(`${APP_BASE_URL}/auth/${type}/callback`)}`;

export const DISCORD_INVITE_URL = (code: string): string => `https://discord.gg/${code}`;
export const DISCORD_GUILD_ICON_URL = (guildId: string, iconHash: string): string =>
	`https://cdn.discordapp.com/icons/${guildId}/${iconHash}.png?size=128`;

export const COURSES = ["Angewandte Informatik", "ETIT", "Informatik", "IT-Sicherheit"];
export const CONTACT_EMAIL = "fsr-fsi@lists.rub.de";

export const SERVICES_LIST_URL = "https://fsi.rub.de/";
export const IMPRINT_URL = "https://fsi.rub.de/impressum";
export const PRIVACY_POLICY_URL = "https://fsi.rub.de/datenschutz/";
export const HOMEPAGE_AI_URL = "https://ai-rub.de/";
export const HOMEPAGE_ITS_URL = "https://fs-its.rub.de/";
export const HOMEPAGE_INFO_URL = "https://rub.de/fsr-informatik";
