import { useEffect } from "react";
import type { EventCallback } from "./Events";
import Events from "./Events";

const useEvents = (callback: EventCallback) => {
	useEffect(() => {
		const token = Events.on(callback);
		return () => {
			Events.off(token);
		};
	});
};

export default useEvents;
