import { create } from "zustand";
import { persist } from "zustand/middleware";

interface State {
	isLoggedIn: boolean;
	token: string | null;
	redirectTo: string | null;
	setToken: (token: string | null) => void;
	setRedirectTo: (redirectTo: string | null) => void;
}

export const useLoginStore = create<State>()(
	persist(
		set => ({
			isLoggedIn: false,
			token: null,
			redirectTo: null,
			setToken: token => set({ isLoggedIn: token !== null, token }),
			setRedirectTo: redirectTo => set({ redirectTo }),
		}),
		{
			name: "login",
		}
	)
);
