import { create } from "zustand";

interface State {
	isVisible: boolean;
	setVisible: (visible: boolean) => void;
	toggleVisibility: () => void;
}

export const useNavigationStore = create<State>()(set => ({
	isVisible: false,
	setVisible: visible => set({ isVisible: visible }),
	toggleVisibility: () => set(s => ({ isVisible: !s.isVisible })),
}));
