import { create } from "zustand";
import { persist } from "zustand/middleware";

interface State {
	isDarkMode: boolean;
	setDarkMode: (isDarkMode: boolean) => void;
}

export const useThemeStore = create<State>()(
	persist(
		set => ({
			isDarkMode: true,
			setDarkMode: isDarkMode => set({ isDarkMode }),
		}),
		{
			name: "theme",
		}
	)
);
