import "./index.css";
import { StrictMode } from "react";
import ReactDOM from "react-dom/client";
import RootErrorBoundary from "./components/RootErrorBoundary";
import AppIntlProvider, { preloadActiveLanguage } from "./components/i18n/AppIntlProvider";
import ThemeShell from "./components/shells/ThemeShell";
import AppRouter from "./components/layout/AppRouter";

preloadActiveLanguage();

ReactDOM.createRoot(document.getElementById("root") as HTMLElement).render(
	<StrictMode>
		<RootErrorBoundary>
			<ThemeShell />
			<AppIntlProvider>
				<AppRouter />
			</AppIntlProvider>
		</RootErrorBoundary>
	</StrictMode>
);
