import Events from "../data/events/Events";
import { EventTypes } from "../data/events/eventTypes";

const preloadedResources = new Set<string>();

Events.on(data => {
	if (data.type === EventTypes.LOGOUT_COMPLETE) {
		preloadedResources.clear();
	}
});

export const usePreload = (id: string, loader: () => any): void => {
	if (!preloadedResources.has(id)) {
		preloadedResources.add(id);
		loader();
	}
};
